Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class IconImage

    java.lang.Object
      ix.iface.util.IconImage

    public class IconImage

extends java.lang.Object

Class used to set an appropriate icon image for a frame. This image is used when the platform / window manager wants an image to display when the frame is "minimized" / iconified.

The image is selected based on the frame class, as determined by which of the setIconImage methods is called. The code that initializes the frame sould contain a line that looks something like this:

         frame.setIconImage(IconImage.getIconImage(frame));

In some cases, the declared frame class may not be distinctive, and then some other object should be used. Of course, there needs to be a corresponding method in this class.

In effect, this class is not a general utility - just a way to put all of the IconImage information in one place.

Method Summary
`static java.awt.Image` | `getIconImage(ChatFrame frame)`
`static java.awt.Image` | `getIconImage(java.awt.Frame frame)`
`static java.awt.Image` | `getIconImage(ISpaceTool ist)`
`static java.awt.Image` | `getIconImage(ItemEditor ed)`
`static java.awt.Image` | `getIconImage(SimpleDomainEditor ed)`
`static java.awt.Image` | `getIconImage(java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIconImage

    public static java.awt.Image getIconImage(java.awt.Frame frame)

### getIconImage

    public static java.awt.Image getIconImage(SimpleDomainEditor ed)

### getIconImage

    public static java.awt.Image getIconImage(ItemEditor ed)

### getIconImage

    public static java.awt.Image getIconImage(ChatFrame frame)

### getIconImage

    public static java.awt.Image getIconImage(ISpaceTool ist)

### getIconImage

    public static java.awt.Image getIconImage(java.lang.String filename)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD